Edit
[POST] .../v1/retailcardmigration/tasks/edit
Edits a retail card migration task. Update the header of an existing retail card migration task, including source and target programs, execution dates, period and ordering. The request requires id, promo_from_id and promo_to_id, requires source and target programs to be different and returns row_affected as 1 on successful update. The method checks the current request user and requires retail card migration edit permission; missing body, missing identifiers, identical programs, missing task, missing or incompatible promo programs, permission failures and storage errors are returned as HTTP 200 ErrorResult.
Request Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| end_date | Int64 | Optional | Task end date. If the value is 0, the task has no end date. |
| id | Int64 | Required | ID. |
| order | Int32 | Optional | Execution order. |
| promo_from_id | Int64 | Required | Source loyalty program ID. |
| promo_to_id | Int64 | Required | Target loyalty program ID. |
| run_period | Int64 | Optional | Task execution period value. |
| run_period_type | String | Optional | Task execution period type. Allowed values: Default, Day, Week, Month, Quarter, Year. |
| start_date | Int64 | Optional | Task start date as Unix time. |
Request Example
{
"end_date": 1,
"id": 1,
"order": 1,
"promo_from_id": 1,
"promo_to_id": 1,
"run_period": 1,
"run_period_type": "Day",
"start_date": 1
}
Response Parameters
| Name | Type | Description |
|---|---|---|
| ok | Boolean | Indicates whether the request completed successfully. |
| result | Update | Update operation result. |
Response Example
{
"ok": true,
"result": {
"ids": [
null
],
"row_affected": 1
}
}